hbase-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From bus...@apache.org
Subject [1/2] hbase git commit: HBASE-19060 precommit plugin test 'hadoopcheck' should only run when java or maven files change.
Date Sat, 21 Oct 2017 00:44:22 GMT
Repository: hbase
Updated Branches:
  refs/heads/branch-2 bd9c37367 -> a37ff39b7


HBASE-19060 precommit plugin test 'hadoopcheck' should only run when java or maven files change.

Signed-off-by: Mike Drob <mdrob@apache.org>


Project: http://git-wip-us.apache.org/repos/asf/hbase/repo
Commit: http://git-wip-us.apache.org/repos/asf/hbase/commit/01ab747a
Tree: http://git-wip-us.apache.org/repos/asf/hbase/tree/01ab747a
Diff: http://git-wip-us.apache.org/repos/asf/hbase/diff/01ab747a

Branch: refs/heads/branch-2
Commit: 01ab747a5fbde8604c9893d5959467011679538d
Parents: bd9c373
Author: Sean Busbey <busbey@apache.org>
Authored: Fri Oct 20 11:08:35 2017 -0500
Committer: Sean Busbey <busbey@apache.org>
Committed: Fri Oct 20 19:43:02 2017 -0500

----------------------------------------------------------------------
 dev-support/hbase-personality.sh | 8 ++++++--
 1 file changed, 6 insertions(+), 2 deletions(-)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/hbase/blob/01ab747a/dev-support/hbase-personality.sh
----------------------------------------------------------------------
diff --git a/dev-support/hbase-personality.sh b/dev-support/hbase-personality.sh
index 9b23e11..01c3d85 100755
--- a/dev-support/hbase-personality.sh
+++ b/dev-support/hbase-personality.sh
@@ -218,7 +218,7 @@ function hadoopcheck_filefilter
 {
   local filename=$1
 
-  if [[ ${filename} =~ \.java$ ]]; then
+  if [[ ${filename} =~ \.java$ ]] || [[ ${filename} =~ pom.xml$ ]]; then
     add_test hadoopcheck
   fi
 }
@@ -241,6 +241,10 @@ function hadoopcheck_rebuild
     return 0
   fi
 
+  if ! verify_needed_test hadoopcheck; then
+    return 0
+  fi
+
   big_console_header "Compiling against various Hadoop versions"
 
   # All supported Hadoop versions that we want to test the compilation with
@@ -317,7 +321,7 @@ function hbaseprotoc_filefilter
   fi
 }
 
-## @description  hadoopcheck test
+## @description  check hbase proto compilation
 ## @audience     private
 ## @stability    evolving
 ## @param        repostatus


Mime
View raw message